require 'sketchup.rb'
require 'extensions.rb'

module AMS
  class CopyAlongCurve

    NAME         = 'CopyAlongCurve'.freeze
    VERSION      = '1.0.4'.freeze
    RELEASE_DATE = 'February 28, 2017'.freeze

    @extension = ::SketchupExtension.new(NAME, 'ams_CopyAlongCurve/main')

    desc = "Allows copying groups and components along the curve/edge sequence path."

    @extension.description = desc
    @extension.version     = VERSION
    @extension.copyright   = 'Anton Synytsia © 2016-2017'
    @extension.creator     = 'Anton Synytsia (anton.synytsia@gmail.com)'

    ::Sketchup.register_extension(@extension, true)

    class << self
      attr_reader :extension
    end # class << self

  end # class CopyAlongCurve
end # module AMS
